[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# ISequentialStream.Write

Write data to the stream

## Declaration

Source position: types.pp line 315

`function ISequentialStream.Write(`
`pv: Pointer;`
`cb: DWORD;`
`pcbWritten: PDWord`
`):HRESULT;`

## Description

Write writes cbCount bytes from the memory pointed to by pv to the stream and returns the number of bytes written in pcbwritten. The result is zero for success or an error code.

## See also

ISequentialStream.Read |  | Read data from the stream